Updated: 2014-03-04 Due date:
Subject: Content editing is broken when page uses RequireJS
Description

When the website that should be edited uses RequireJS, the Neos backend breaks (i.e. the top menu is shown, but no content can be
edited. Even basic functionality is missing. When disabling the local RequireJS instance, everything works fine.

I suppose this is because the script mentioned in the data-main attribute of the RequireJS script tag is not executed - but I have not
further debugged this issue.

Maybe it's possible to totally separate the JS Neos uses by using the separation techniques RequireJS provides (see 
http://requirejs.org/docs/api.html#multiversion).

Related issues:
related to Base Distribution - Task # 48074: Neos backend no conflict mode Resolved 2013-05-08
related to TYPO3.Neos - Bug # 53883: Mismatched anonymous define() module Resolved 2013-11-22

Associated revisions
Revision 856803b4 - 2014-03-04 15:02 - Rens Admiraal

[BUGFIX] Neos backend breaks if the frontend uses requirejs

When the frontend of a website is using requirejs the backend of
Neos does not load, or the content editing does not work. This change
puts all Neos requirejs configuration in the 'neos' context and
wraps requirejs to prevent a double declaration of requirejs.

It also changes the way requirejs is included as the data-main
attribute will not work if requirejs is already defined in the
frontend.

Change-Id: I166593bd6d53a24b4f65e29c2622a4a9f437d2d7
Fixes: #47510
Fixes: #48074
Fixes: #53883
Releases: master
Reviewed-on: https://review.typo3.org/26487
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Robert Lemke

History
#1 - 2013-07-11 23:43 - Aske Ertmann
- Target version set to 1.0 beta 1

#2 - 2013-12-22 14:58 - Gerrit Code Review

2015-08-04 1/2

http://requirejs.org/docs/api.html#multiversion
https://review.typo3.org/26487


- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26487

#3 - 2013-12-23 23:16 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26487

#4 - 2014-03-04 15:01 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26487

#5 - 2014-03-04 15:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:856803b48053815be74706044477cbae6f850e27.
